From: "Louis Sautier" <sbraz@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/httpauth/
Date: Sat, 28 Jul 2018 22:27:01 +0000 (UTC) [thread overview]
Message-ID: <1532816775.729d25ac2e2a7c935d339ee750352d54d6974f28.sbraz@gentoo> (raw)
commit: 729d25ac2e2a7c935d339ee750352d54d6974f28
Author: Louis Sautier <sbraz <AT> gentoo <DOT> org>
AuthorDate: Sat Jul 28 22:21:56 2018 +0000
Commit: Louis Sautier <sbraz <AT> gentoo <DOT> org>
CommitDate: Sat Jul 28 22:26:15 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=729d25ac
dev-python/httpauth: add Python 3.7, EAPI=7, make tests verbose
Package-Manager: Portage-2.3.43, Repoman-2.3.10
dev-python/httpauth/httpauth-0.3.ebuild | 10 +++++-----
1 file changed, 5 insertions(+), 5 deletions(-)
diff --git a/dev-python/httpauth/httpauth-0.3.ebuild b/dev-python/httpauth/httpauth-0.3.ebuild
index 49c87f86fbe..5d6c2a75af2 100644
--- a/dev-python/httpauth/httpauth-0.3.ebuild
+++ b/dev-python/httpauth/httpauth-0.3.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-EAPI=6
+EAPI=7
-PYTHON_COMPAT=( python{2_7,3_{4,5,6}} pypy{,3} )
+PYTHON_COMPAT=( pypy{,3} python{2_7,3_{4,5,6,7}} )
inherit distutils-r1
@@ -16,11 +16,11 @@ SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="test"
-DEPEND="
+BDEPEND="
dev-python/setuptools[${PYTHON_USEDEP}]
test? ( dev-python/nose[${PYTHON_USEDEP}] )
"
python_test() {
- nosetests tests.py || die "tests failed with ${EPYTHON}"
+ nosetests -v tests.py || die "tests failed with ${EPYTHON}"
}
next reply other threads:[~2018-07-28 22:27 UTC|newest]
Thread overview: 15+ messages / expand[flat|nested] mbox.gz Atom feed top
2018-07-28 22:27 Louis Sautier [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-02-27 20:56 [gentoo-commits] repo/gentoo:master commit in: dev-python/httpauth/ Michał Górny
2024-05-30 4:03 Michał Górny
2024-05-28 4:42 Michał Górny
2024-05-17 18:24 Michał Górny
2023-06-01 4:07 Michał Górny
2023-03-16 3:50 Michał Górny
2022-04-11 7:57 Michał Górny
2022-01-29 15:02 Michał Górny
2021-05-09 21:57 Louis Sautier
2020-09-04 23:11 Louis Sautier
2020-03-11 17:12 Louis Sautier
2020-02-05 14:24 Michał Górny
2017-09-22 13:12 Patrice Clement
2016-04-12 19:11 Patrice Clement
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1532816775.729d25ac2e2a7c935d339ee750352d54d6974f28.sbraz@gentoo \
--to=sbraz@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox